/*	help.c
	Copyright (C) 2004, 2005 Mark Tyler

	This file is part of mtPaint.

	mtPaint is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	mtPaint is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with mtPaint in the file COPYING.
*/

int help_page_count = 16
;
char *help_page_titles[] = {
"General",
"Preamble",
"Compilation",
"File Formats",
"The Palette",
"Patterns",
"Tools",
"Selections",
"The Clipboard",
"Keyboard shortcuts",
"Mouse shortcuts",
"Limitations",
"Tips",
"The Future",
"History",
"Credits",
NULL };

char *help_page_contents[] = {
"\n"
"mtPaint 0.90 - Copyright (C) 2004, 2005 Mark Tyler\n"
"\n"
"mtPaint is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n"
"\n"
"mtPaint is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.\n"
,
"\n"
"mtPaint is simple GTK+1/2 painting program designed for creating icons and pixel based artwork. It can edit indexed palette or 24 bit RGB images and offers basic painting and palette manipulation tools. Its main file format is PNG, although it can also handle JPEG, GIF, TIFF, BMP, XPM and XBM files. Due to its simplicity and lack of dependencies it runs well on GNU/Linux, Windows and older PC hardware.\n"
,
"\n"
"In order to compile mtPaint on a GNU/Linux system you will need to have the libpng and zlib libraries and headers installed.  If you want to load or save GIF, JPEG and TIFF files you will also need libungif, libjpeg and libtiff.  You may then adjust the Makefile/sources to cater for your needs and then:\n"
"\n"
"For GTK+2\n"
"=========\n"
"\n"
"./configure\n"
"make\n"
"su -c \"make install\"\n"
"\n"
"For GTK+1\n"
"=========\n"
"\n"
"./configure gtk1\n"
"make\n"
"su -c \"make install\"\n"
"\n"
"\n"
"There are various configure options that may be useful for some people.  Use \"./configure --help\" to find out what options are available.  If your are compiling mtPaint on an older system without gtk-config, you may need to adjust the configure script so that the GTK+1 settings are done manually.  I have provided an example in the configure script to demonstrate.\n"
"\n"
"Assuming compilation was successful you can test the program by typing \"mtpaint src/graphics/testcard.png\".  You can call mtpaint with the -v option and the program will start in viewer mode so there will be no palette, menu bar, etc.  You can restore these items by pressing the \"Home\" key.  After installation you can create a symlink to add a viewer command, e.g.\n"
"\n"
"su -c \"ln -s mtpaint /usr/local/bin/mtv\"\n"
"\n"
"Then you can open some graphics files with \"mtv *.jpg\".  This is a shortcut to writing \"mtpaint -v *.jpg\".  mtPaint can only edit one image at a time, but when you have more than one filename in the command line a window will appear with all of the filenames in a list.  If you select one of the names, it will be loaded.  I find this is helpful for editing several icons or digital photos.\n"
"\n"
"It is also possible to compile mtPaint on a Windows system using MinGW/MSYS with the relevant header and library files.  If you would like to do this, visit my mtPaint page to find out what files you will need to download:\n"
"\n"
"www.btinternet.com/~mark.tyler4/mtpaint/index.html\n"
"\n"
"In order to use the Command Line window to access several files in Windows, you could try the following:\n"
"\n"
"1) Create a shortcut to the mtpaint binary\n"
"2) Put the shortcut into C:/Windows/Send To/\n"
"3) Select some graphics files in Explorer\n"
"4) Right click these files and send them to mtpaint\n"
,
"\n"
"mtPaint can handle the following file formats:\n"
"\n"
"PNG	Load/Save indexed palette and 24 bit RGB\n"
"\n"
"JPEG	Load 24 bit RGB & Greyscale. Save 24 bit RGB - Quality set by Preferences window\n"
"\n"
"XPM	Load/Save indexed palette - Including transparency index\n"
"\n"
"XBM	Load/Save - Including hotspot\n"
"\n"
"GIF	Load/Save single image indexed palette\n"
"\n"
"TIFF	Load/Save 24 bit RGB\n"
"\n"
"BMP	Load/Save uncompressed 1, 4, 8 bit indexed palette or 24 bit RGB\n"
"\n"
"When loading a file, mtPaint will automatically determine what the file format is and load it accordingly.  When saving, mtPaint assumes you want to save a PNG format file unless the extension is one of the following (case insensitive):\n"
"\n"
"JPEG\n"
".JPG\n"
"TIFF\n"
".TIF\n"
".GIF\n"
".BMP\n"
".XPM\n"
".XBM\n"
"\n"
"When loading an image file which contains meta data (e.g. image author or comments), mtPaint does not save this data so if this is important to you then you will need to save a new file to avoid losing data that is in the original file.\n"
"\n"
"It is possible to save all of the current undo images to a sequence of PNG files.  Go to the File menu and select the \"Export Undo Images\" option.  Choose which directory you want to save the files to and then enter the file prefix in the filename box, e.g. \"out\".  The undo files will then be saved to out001.png, out002.png etc.\n"
"\n"
"Once you have done this you can have fun animating these images and see how your artwork developed to its final state.  The easiest way to do this is to use the ImageMagick command:\n"
"\n"
"animate -delay 10 out*.png\n"
"\n"
"mtPaint can export an indexed image with 16 or fewer colours to an ASCII Art text file (File -> Export ASCII Art).  mtPaint presumes that this is a greyscale image with 16 levels of intensity (0=black), so to convert a 24 bit RGB photo image to ASCII art you could try the following:\n"
"\n"
"1) Reduce the image to a width of about 80 pixels using scale or crop\n"
"2) Image -> Greyscale\n"
"3) Effects -> Contrast : Ensure that the image has a strong contrast between black and white areas\n"
"4) Palette -> Set Palette Size : to 16\n"
"5) Palette -> Create Scale : using default numbers\n"
"6) Image -> Convert To Indexed : using 16 colours and Quantize to palette\n"
"7) File -> Export ASCII Art : to ~/a.txt\n"
"\n"
"~/a.txt will then contain an ASCII version of the image that should be viewed in an editor or console with a dark background and light text.  If you use a light background with dark text, simply invert the image after step 2).\n"
,
"\n"
"An indexed palette image can have between 2 and 256 colours.  At any time you can change the RGB values of a colour by doing one of the following:\n"
"\n"
"* Click on the current colour A or B in the top left corner\n"
"* Press Ctrl-E or Ctrl-W\n"
"* Access the Palette menu\n"
"	\n"
"You can then adjust the colour values.  If you then confirm the change, this will adjust that colour index and also any pixels on the canvas which have that index.\n"
"\n"
"There is a colour protection mask feature which stops certain colours from being painted over on the canvas.  This is very useful when you have drawn an outline and then want to fill in between these lines with other colours without affecting the outline.  To protect a colour from being painted on, simply left click to the right of its colour in the palette window - a cross should then appear.  Click again and the mask will be removed and this colour can be edited on the canvas as normal.  The palette menu allows you to set or clear the mask for all colours.  This protection affects all basic tools like normal painting or pasting (RGB & Indexed images) but does not affect the global functions like colour transformations.\n"
"\n"
"Each colour in the palette is defined by 3 channels - Red, Green and Blue.  For each channel there are 8 bits assigned to define its intensity - 0 for nothing, 255 for maximum.  While editing a colour you can simulate other bit levels per channel to rationalize the palette from the potential 16777216 colours available.  For example, if you use the posterize feature at 3 bits per channel, this will result in a choice of 512 colours, i.e. 8x8x8 or 2^3 x 2^3 x 2^3.  I find this setting helpful when recreating artwork from previous generations of home computers - the Atari ST in this case.\n"
"\n"
"Sometimes when you posterize an image, you will end up with duplicate palette entries.  To merge these together and tidy up the palette you choose the following menu items:\n"
"\n"
"1) Merge duplicate colours\n"
"This option will find identical palette colours and then scan the canvas to ensure that only one palette index is used.\n"
"\n"
"2) Remove unused colours\n"
"This option removes any palette colours that do not have pixels on the canvas, and updates the canvas to reflect any index changes.\n"
"\n"
"It is possible to generate scales within the whole palette.  To do this selection the 'Create Scale' from the Palette menu.  You then set the start index and RGB values and then the end index and RGB values.  mtPaint will then calculate the in between values.\n"
"\n"
"It is possible to move a colour entry from one index to another in the palette list.  To do this, try the following:\n"
"\n"
"1) Move the mouse pointer to the colour you want to move\n"
"2) Press and hold the shift key\n"
"3) Press and hold the left mouse button\n"
"4) Drag the pointer to the desired index (ensuring you stay within the palette area)\n"
"5) Release the mouse pointer (and shift)\n"
"\n"
"When doing this with an indexed image, the canvas colours will be adjusted to accommodate the change.  The RGB canvas remains unchanged.  A more generic sort is possible by accessing the 'Palette' menu.\n"
"\n"
"When you are editing a 24 bit RGB image the palette behaves slightly differently.  For example, when you change a colour in the palette the canvas remains unchanged.\n"
,
"\n"
"There are several different patterns that you can use to paint onto the canvas.  To choose one you must do one of the following:\n"
"\n"
"* Click on the current pattern in the top left corner\n"
"* Press Ctrl-H\n"
"* Access the Edit menu\n"
"\n"
"After selecting your desired pattern you must then choose which 2 colours will be used with this pattern.  Left click a colour in the palette area to set colour A, and right click to set colour B.  The preview area will show you what the final pattern will look like.  You can also press Ctrl+Left Button to select colour B if you are using a single button stylus/tablet.  While using a painting tool, you can press an arrow key to change colour A or B.\n"
"\n"
"If you want to create your own custom patterns you can either edit \"patterns.c\" in a text editor or edit graphics/pattern.png with mtPaint.  You create your own c file by executing \"Edit->Create Patterns\".  Rename the files accordingly, recompile mtPaint and you should now be able to use your own patterns.\n"
,
"\n"
"You can decide how the chosen coloured pattern will be placed on the canvas by choosing a tool.  Each tool has its own shape and can be configured by setting the size spin button.  The spray option also requires the user to set the flow of the spray.  The higher the number the more pixels will be splattered onto the canvas.\n"
"\n"
"If at any time you make a mistake, you can always use the undo/redo functions.  Memory permitting, this is for up to 100 actions.  You can change the maximum memory limit for the undo feature in the preferences window.\n"
"\n"
"By pressing F11 or using the Edit menu you can set painting mode to \"Continuous\".  A \"CON\" will then appear on the status bar for a visual reminder.  This mode means that mtPaint will fill in the area between static shapes while the tool is being used.  This is very useful for drawing outlines or using the slash/backslash for calligraphy style effects.\n"
"\n"
"When you are editing an RGB image it is possible to change the opacity of certain tool operations.  For example if you press Ctrl+3 you will set opacity to 30% which means that if you draw a rectangle over an area, it will paint the current pattern with 30% transparency so you will still see some of what was on the canvas originally.  Opacity works with static tool shapes, spray, straight line and pasting.  It does not affect flood fill or pixel shuffling.  Tool opacity behaviour can be altered by pressing F12 or accessing the Edit menu to toggle the opacity drawing mode (\"OP\" should appear on the status bar as a reminder).  By setting this toggle to off you can get some very interesting results with the spray or by dragging and pasting at the same time.  In different situations you may want either behaviour so it is probably best to experiment to learn what the possibilities are.\n"
"\n"
"The line tool is used by clicking on the 'Straight Line' ruler icon on the toolbar.  You click and release the left mouse button on the canvas where you want to start the straight line.  You then move the pointer to the end point and click again to draw the line.  Pressing escape or the right button will cancel the operation and stop line drawing until you press the left button again.\n"
"\n"
"If you are editing a large image or are zoomed in heavily you may find the pan window useful to navigate around quickly.  The pan window can be invoked by pressing the 'End' key, using the View menu or pressing the icon on the toolbar.  This will then bring up a thumbnail of the whole image with a rectangle showing what portion is currently being viewed.  Left clicking or dragging the mouse will move the centre of the image to where you click.  The arrow keys can be used to move the view in the appropriate direction.  Any other keypress (including the 'End' key) or the right button will close the pan window .  While using the pan window, the zoom keys (0-9, +, -) and the Home key work as normal.  The size of the pan window can be set with the preferences window.\n"
,
"\n"
"In order to make a selection you press the 'Make Selection' icon on the toolbar or press Ctrl-A to select the whole image.  You then click the left mouse button on the canvas and drag the rectangle to the area you want to select.  To clear this selection press Escape, the right mouse button, Ctrl+Shift-A or use the Edit menu.  The selection box can be moved around pixel by pixel by using the arrow keys.  Pressing Shift and the arrow keys causes the selection box to be moved a set number of pixels determined by the Preferences window.  After you have made a selection you can click and drag the corners to new positions.  With the tool mouse cursor option switched on you will see the relevant corner arrow to indicate this new behaviour.\n"
"\n"
"Once a selection has been made you can select 'Crop' from the Edit menu which will reduce the canvas size to the selected area.  Cropping will not be possible if the whole canvas is selected.\n"
"\n"
"Pressing Ctrl-C causes the selection area to be copied to the clipboard ready for pasting.\n"
"\n"
"Pressing Ctrl-X causes the selection area to be copied to the clipboard and then this area of the canvas is filled with the current pattern - apart from pixels that have been protected with the colour mask.\n"
"\n"
"Pressing Ctrl-V pastes the clipboard onto the canvas at the centre of the view.\n"
"Pressing Ctrl-K pastes the clipboard onto the canvas at the position from which it was copied.\n"
"\n"
"While pasting, the arrow keys can be used to position the box before committing the operation.  Escape cancels the operation and removes the paste box.  Also, if you have selected to show tool shaped cursors in \"File->Preferences\", by moving the mouse over the paste box the cursor will change to a four way arrow.  While doing this, you can press the left mouse button and you will be able to drag the paste box.\n"
"\n"
"In order to commit the paste operation, press the right mouse button or the Enter/Return key.  By pressing both mouse buttons down and dragging you can use the clipboard image as a brush.  When you are editing an image with a colour protection mask, you stop these colours being changed on the canvas.\n"
"\n"
"When you are pasting it is possible to use a colour transparency mask to enable the pasting of non rectangular shapes.  The easiest way to understand this is to try the following example:\n"
"\n"
"1) Type \"mtpaint graphics/testcard.png\"\n"
"2) Press Ctrl-A, then Ctrl-C, then Ctrl-V.\n"
"3) You will then be able to move the paste clipboard as normal.\n"
"4) If you then select \"Selection -> Mask Colours A,B\" from the menu you will make red and black colours on the clipboard transparent.\n"
"5) To return to normal, select \"Selection -> Clear Mask\"\n"
"6) Further colours can be masked on a cumulative basis by selecting them via the palette and using \"Selection -> Mask Colours A,B\" again.\n"
"\n"
"I have put an option into the preferences window so that you can choose not to have the clipboard image displayed while moving the paste box.  In other words, you will simply see the blue/white outline until you commit the operation.\n"
"\n"
"The selection tool is also used to direct several other painting functions.  These are located under the \"Selection\" menu.  For example, you can fill the current selection rectangle or draw an ellipse.\n"
,
"\n"
"mtPaint allows the user to store up to 12 images in a multiple image clipboard.  This works by saving a PNG file containing each clipboard image and then using the Edit menu to load these images as required.\n"
"\n"
"To save image data to the clipboard try the following example:\n"
"\n"
"1) Make a selection on the canvas\n"
"\n"
"2) Copy the selection - Ctrl-C\n"
"\n"
"3) Save this selection to clipboard 3 - Ctrl-F3\n"
"\n"
"To load this clipboard image at any time simply press Shift-F3.  The benefit of using a multiple image clipboard in this way is that it gives the user more flexibility.  For example, you can have two independent mtPaint programs running and be able to load and save clipboard data between the two at the touch of a button.  Also, as long as the files are not deleted you will have access to these clipboard images after closing and restarting mtPaint (or even rebooting the system).\n"
"\n"
"It is only possible to paste an RGB clipboard onto an RGB image and an Indexed Palette clipboard onto an Indexed Palette image.\n"
"\n"
"As the clipboard files are standard PNG files, the user can also open them in another mtPaint process and edit them.  The clipboard files are stored in the location set in the Preferences window.\n"
,
"\n"
"Ctrl-N			Create new image\n"
"Ctrl-O			Open Image\n"
"Ctrl-S			Save Image\n"
"Ctrl-Q			Quit program\n"
"\n"
"Ctrl-A			Select whole image\n"
"Ctrl+Shift-A, Escape	Select nothing, cancel paste box\n"
"Ctrl-C			Copy selection to clipboard\n"
"Ctrl-X			Copy selection to clipboard, and then paint current pattern to selection area\n"
"Ctrl-V			Paste clipboard to centre of current view\n"
"Ctrl-K			Paste clipboard to location it was copied from\n"
"Enter/Return		Commit paste to canvas\n"
"\n"
"Arrow keys		Paint Mode - Change colour A or B\n"
"Arrow keys		Selection Mode - Nudge selection box or paste box by one pixel\n"
"Shift+Arrow keys	Nudge selection box or paste box by x pixels - x is defined by the Preferences window\n"
"\n"
"Ctrl-Shift-X, Delete	Crop image to selection\n"
"Ctrl-Shift-C, Insert	Transform colours - i.e. Brightness, Contrast, Saturation, Posterize, Gamma\n"
"Ctrl-G			Greyscale the image\n"
"\n"
"Ctrl-T			Draw a rectangle around the selection area with the current fill\n"
"Ctrl-Shift-T		Fill in the selection area with the current fill\n"
"Ctrl-L			Draw an ellipse spanning the selection area\n"
"Ctrl-Shift-L		Draw a filled ellipse spanning the selection area\n"
"\n"
"Ctrl-H			Choose a new pattern\n"
"Ctrl-E			Edit the RGB values for colours A & B\n"
"Ctrl-W			Edit all palette colours\n"
"\n"
"Ctrl-P			Preferences\n"
"Ctrl-I			Information\n"
"\n"
"Ctrl-Z			Undo last action\n"
"Ctrl-R			Redo an undone action\n"
"\n"
"+,=			Zoom in\n"
"-			Zoom out\n"
"\n"
"F1			Help\n"
"1			10% zoom\n"
"F2, 2			25% zoom\n"
"F3, 3			50% zoom\n"
"F4, 4			100% zoom\n"
"F5, 5			400% zoom\n"
"F6, 6			800% zoom\n"
"F7, 7			1200% zoom\n"
"F8, 8			1600% zoom\n"
"F9, 9			2000% zoom\n"
"F11			Toggle normal or continuous painting mode\n"
"F12			Toggle undo opacity mode\n"
"\n"
"Ctrl + F1 - F12		Save current clipboard to file 1-12\n"
"Shift + F1 - F12	Load clipboard from file 1-12\n"
"\n"
"Ctrl + 1, 2, ... , 0	Set opacity to 10%, 20%, ... , 100% (main or keypad numbers)\n"
"Ctrl + + or =		Increase opacity by 1%\n"
"Ctrl + -		Decrease opacity by 1%\n"
"\n"
"Home			Show or hide main window menu/toolbar/status bar/palette\n"
"Page Up			Scale Image\n"
"Page Down		Resize Image canvas\n"
"End			Pan Window\n"
,
"\n"
"Left button		Paint to canvas using the current tool\n"
"Middle button		Set the centre for the next zoom\n"
"Right button		Commit paste to canvas / Stop drawing current line / Cancel selection\n"
"\n"
"Ctrl+Left button	Choose colour A from under mouse pointer\n"
"Ctrl+Right button	Choose colour B from under mouse pointer\n"
"\n"
"Shift+Right button	Set the centre for the next zoom\n"
"\n"
"\n"
"You can fixate the X/Y co-ordinates while moving the mouse:\n"
"\n"
"Shift			Constrain mouse movements to vertical line\n"
"Shift+Ctrl		Constrain mouse movements to horizontal line\n"
,
"\n"
"I have set the maximum image geometry to 16384x16384.  The minimum geometry is 1x1.\n"
"\n"
"After loading a new palette, the canvas may contain references to colours that are not defined.  I call these orphan pixels.  If you examine the image information via the File menu you will see how many pixels have been orphaned.  You can retrieve the pixels by expanding the palette to 256 items and then \"Palette->Remove Unused Colours\".\n"
"\n"
"If colour A = colour B, you must edit colour B to change its RGB.\n"
"\n"
"When using some flood fill patterns, if the destination pixel = colour A/B, filling does not always migrate up/down as usual.\n"
"\n"
"On some systems, the GTK+1 version has problems when editing large images at high zoom levels, e.g. 2048x2048 @ 1600%\n"
"\n"
"With GTK+2, using filenames with non ASCII characters can cause problems with the file selection box and recently used file list.\n"
"\n"
"Some key combinations may not work under certain window managers, e.g. Shift+F1-F12 or Ctrl+Mouse button.\n"
"\n"
"Using the status bar items \"Cursor X,Y\" and \"Pixel [I] {RGB}\" can cause high CPU usage on older hardware when moving the cursor vigorously.\n"
"\n"
"mtPaint does not support alpha channels so if you load a PNG file with an alpha channel, the image may not look correct.\n"
,
"\n"
"Palette\n"
"\n"
"If you are editing an RGB image and you want to populate the palette with colours from the image, the easiest way to do this is to call up the \"Edit all colours\" window and then use the eye dropper tool to select the colours you want.  Moreover, you can use this method to grab any colours on you current desktop.  This feature is only available with GTK+2.  If you want a more approximate method you could try:\n"
"\n"
"1) Use \"Palette->Set Palette Size\" to set the size of the palette\n"
"2) Use \"Palette->Create Quantized\" to approximate the palette to the image\n"
"\n"
"\n"
"Effects\n"
"\n"
"When I emboss an image I usually like to emphasise the effect by using the \"Transform Colour\" window to reduce the saturation to greyscale and increase the contrast to highlight the edges.\n"
"\n"
"\n"
"Files\n"
"\n"
"If you are using several clipboards and you want to have more control over the images (e.g. rotate them to any angle or apply effects), open all of the clipboards in a new mtPaint process with:\n"
"\n"
"mtpaint ~/.clip*.png\n"
"\n"
"You can then edit/save the clipboards in one mtPaint window and then apply them to your main image in another mtPaint window.\n"
"\n"
"It is possible to use mtPaint to create fade frames for use in animations.  To fade an image you must:\n"
"\n"
"1) Load the relevant frame you want to fade\n"
"2) Open the transform window and set brightness to -32\n"
"3) Click apply 8 times\n"
"4) Save undo images for fading out and save undo images (reverse) for fading in\n"
"\n"
"\n"
"Quantizing\n"
"\n"
"If you want to quantize an RGB photo down to just a few colours (e.g. 32) and get the best quality without waiting for a full DL3 quantize you could try the following:\n"
"\n"
"1) Use DL1 to reduce the image to 256 colours\n"
"2) Convert to RGB\n"
"3) Use DL3 to reduce the image to 32 colours\n"
"\n"
"This example illustrates the fact that DL3 takes time proportionate to the number of unique colours in the image.  You could also reduce the number of colours in the image by posterizing to a level of 3 or 4 and then trying DL3.\n"
"\n"
"\n"
"Text\n"
"\n"
"mtPaint has no support for adding text to an image but you can always type some text into your favourite editor/wordprocessor, grab a screenshot and then paste the result.  If you paste with the background colour as a transparency, the text can flow around the image.\n"
,
"\n"
"If you find a bug feel free to contact me about this so I can try to help - the address is in the section \"Credits\".  Before you send me any reports I would suggest you read the section \"Limitations\" as there are some issues that I have not been able to resolve.  If you are a developer and you have improved any part of mtPaint, please let me know what you have done so I can share this with other mtPaint users.\n"
,
"\n"
"2005-04-26	Version 0.90 - Internationalization, polishing and bugfixing\n"
"\n"
"2005-02-15 	Version 0.75 - Pan window, Full palette quantizing\n"
"\n"
"2005-01-01 	Version 0.50 - Paste mask, Free rotation, Smudge tool\n"
"\n"
"2004-12-11	Version 0.47 - Zoom<100%, Command line window, Full view mode\n"
"\n"
"2004-11-21	Version 0.45 - Opacity, Basic Quantize, Effects\n"
"\n"
"2004-11-08	Version 0.40 - 24 Bit RGB. JPEG, TIFF, BMP import/export\n"
"\n"
"2004-10-25	Version 0.37 - Brightness-Contrast-Saturation, Rotations, Resize, Scale, Help\n"
"\n"
"2004-10-16	Version 0.35 - Windows version, XPM/XBM import/export, line tool\n"
"\n"
"2004-10-04	Version 0.30 - Continuous painting mode, Selection paint tools, GIF import\n"
"\n"
"2004-09-24	Version 0.25 - Greyscale, Crop, Bugfixing\n"
"\n"
"2004-09-19	Version 0.24 - First public release of mtPaint on gnomefiles.org\n"
"\n"
"2004-09-13	Version 0.23 - First public release of mtPaint on freshmeat.net\n"
"\n"
"2004-09-06	Version 0.21 - Beta testing begins!\n"
"\n"
"2004-09-05	Version 0.20 - 9 basic tools + palette edit/add/posterize/merge/load/save finished\n"
"\n"
"2004-08-31	Version 0.16 - Undo/Redo implemented - default MAX_UNDO = 100\n"
"\n"
"2004-08-28	Version 0.15 - Patterns implemented with square tool + colour protection mask implemented\n"
"\n"
"2004-08-14	Version 0.05 - PNG load + image display & zoom features\n"
"\n"
"2004-08-12	Version 0.04 - program structure fixated\n"
"\n"
"2004-08-07	Version 0.02 - GUI fixated\n"
"\n"
"2004-07-04	Project started - GUI & back end designs kicked around on paper and in Glade\n"
,
"\n"
"mtPaint was written by Mark Tyler\n"
"\n"
"marktyler_5@hotmail.com\n"
"www.btinternet.com/~mark.tyler4/mtpaint/index.html\n"
"\n"
"mtPaint was only possible after I used and studied an excellent program called mhWaveEdit by Magnus Hjorth.  As a respectful tribute to this mtPaint uses a slightly modified version of inifile.c/h from mhWaveEdit 1.3.0.\n"
"\n"
"I would also like to thank Martin Zelaia for giving me useful feedback which has helped improve mtPaint.\n"
"\n"
"The 2 quantizing methods DL1 & DL3 are the work of Dennis Lee.  Many thanks to Dennis for sharing his excellent work - see quantizer.c for more information.\n"
"\n"
"The Spanish translation was contributed by the Guadalinex team.\n"
,
NULL };
