/*	main.c
	Copyright (C) 2004, 2005 Mark Tyler

	This file is part of mtPaint.

	mtPaint is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	mtPaint is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with mtPaint in the file COPYING.
*/

#include <gtk/gtk.h>

#include "global.h"

#include "mainwindow.h"
#include "otherwindow.h"
#include "inifile.h"
#include "canvas.h"
#include "memory.h"
#include "png.h"


int main( int argc, char *argv[] )
{
	char ppath[256];
	int nw, nh, nc, nt, bpp = 1;

	global_argv = argv;

#ifdef U_NLS
	gtk_set_locale();
	bindtextdomain("mtpaint", MT_LANG_DEST);
	textdomain("mtpaint");
#endif

	gtk_init( &argc, &argv );
	inifile_init("/.mtpaint");

	files_passed = argc - 1;
	if (argc > 1)		// Argument received, so assume user is trying to load a file
	{
		file_arg_start = 1;
		if ( strcmp(argv[1], "-v") == 0 )
		{
			file_arg_start++;
			files_passed--;
			viewer_mode = TRUE;
		}
		if ( strstr(argv[0], "mtpaint") == NULL ) viewer_mode = TRUE;
	}

	mem_init();
	main_init();
	if (files_passed >0)
	{
		strncpy( ppath, argv[file_arg_start], 250 );
		do_a_load( ppath );
	}
	if ( mem_image == NULL )	// If no file was loaded, start with a blank canvas
	{
		nw = inifile_get_gint32("lastnewWidth", DEFAULT_WIDTH );
		nh = inifile_get_gint32("lastnewHeight", DEFAULT_HEIGHT );
		nc = inifile_get_gint32("lastnewCols", 256 );
		nt = inifile_get_gint32("lastnewType", 2 );
		if ( nt == 0 ) bpp = 3;
		do_new_one( nw, nh, nc, nt, bpp );
	}
	update_menus();
	gtk_main();
	inifile_quit();

	return 0;
}
